## python-flask-httpauth 4.5.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Flask-HTTPAuth.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Flask-HTTPAuth.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Flask-HTTPAuth"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Flask-HTTPAuth"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-flask-httpauth 2.2.1

=== debian/changelog ===
python-flask-httpauth (2.2.1-1) unstable; urgency=low

  * Initial upload. Closes: #754804.

 -- Martín Ferrari <tincho@debian.org>  Mon, 14 Jul 2014 17:13:01 +0000

=== debian/control ===
Source: python-flask-httpauth
Maintainer: Martín Ferrari <tincho@debian.org>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3),
 debhelper (>= 9), dh-python, python-docutils, python-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 3.9.5
Homepage: https://github.com/miguelgrinberg/flask-httpauth/
Vcs-Browser: http://tincho.org/wsvn/debian/browse/trunk/python-flask-httpauth


Package: python-flask-httpauth
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}, ${python:Depends}
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: Basic and Digest HTTP authentication for Flask routes
 Flask-HTTPAuth is a simple extension that provides Basic and Digest HTTP
 authentication for Flask routes.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,sphinxdoc --buildsystem=python_distutils

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman docs/ build/man # Manpage generator

override_dh_auto_clean:
	rm -rf build/html build/man
	dh_auto_clean

=== debian/watch ===
version=3
http://githubredir.debian.net/github/miguelgrinberg/flask-httpauth/ \
    .*/(?:v)?(.*).tar.gz

## python-flask-httpauth 3.2.1

=== debian/changelog ===
python-flask-httpauth (3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix watch file.
  * debian/control: Update Standards-Version (no changes). Update Vcs-*.
  * Add examples to the package.

 -- Martín Ferrari <tincho@debian.org>  Fri, 02 Dec 2016 10:28:54 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,16 @@
 Maintainer: Martín Ferrari <tincho@debian.org>
 Section: python
 Priority: optional
-Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3),
- debhelper (>= 9), dh-python, python-docutils, python-sphinx (>= 1.0.7+dfsg-1~)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               python-all (>= 2.6.6-3),
+               python-docutils,
+               python-setuptools (>= 0.6b3),
+               python-sphinx (>= 1.0.7+dfsg-1~),
+Standards-Version: 3.9.8
 Homepage: https://github.com/miguelgrinberg/flask-httpauth/
-Vcs-Browser: http://tincho.org/wsvn/debian/browse/trunk/python-flask-httpauth
-
+Vcs-Browser: https://anonscm.debian.org/cgit/users/tincho/python-flask-httpauth.git
+Vcs-Git: https://anonscm.debian.org/git/users/tincho/python-flask-httpauth.git
 
 Package: python-flask-httpauth
 Architecture: all

## python-flask-httpauth 3.2.4

=== debian/changelog ===
python-flask-httpauth (3.2.4-3) unstable; urgency=medium

  * debian/control: Put the Breaks/Replaces in the proper place; previous
    upload was a mistake.  Closes: #911444.

 -- Martín Ferrari <tincho@debian.org>  Wed, 24 Oct 2018 13:27:30 +0000

python-flask-httpauth (3.2.4-2) unstable; urgency=medium

  * debian/control: Add missing Breaks/Replaces to new -doc package.
    Closes: #911444.

 -- Martín Ferrari <tincho@debian.org>  Mon, 22 Oct 2018 14:42:58 +0000

python-flask-httpauth (3.2.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Martín Ferrari ]
  * New upstream release.
  * debian/gbp.conf: Stop using pristine-tar.
  * Automated packaging fixes by cme.
  * Add support for python3, and fix a few packaging mistakes. Closes:
    #909598.
  * debian/control: Add automatic testsuite.
  * debian/copyright: Separate license texts.
  * Patch the link to an externally-hosted image with an embedded SVG.
  * Move documentation to a separate package.
  * Update DH compat level to 11.

 -- Martín Ferrari <tincho@debian.org>  Mon, 15 Oct 2018 14:14:45 +0000

=== debian/control ===
Source: python-flask-httpauth
Maintainer: Martín Ferrari <tincho@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python-all,
               python-docutils,
               python-flask,
               python-setuptools,
               python3-all,
               python3-flask,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/python-flask-httpauth
Vcs-Git: https://salsa.debian.org/debian/python-flask-httpauth.git
Homepage: https://github.com/miguelgrinberg/flask-httpauth/
Testsuite: autopkgtest-pkg-python

Package: python-flask-httpauth
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Suggests: python-flask-httpauth-doc,
Description: Basic and Digest HTTP authentication for Flask (Python 2)
 Flask-HTTPAuth is a simple extension that provides Basic and Digest HTTP
 authentication for Flask routes.
 .
 This package installs the library for Python 2.

Package: python3-flask-httpauth
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Provides: ${python:Provides},
Suggests: python-flask-httpauth-doc,
Description: Basic and Digest HTTP authentication for Flask (Python 3)
 Flask-HTTPAuth is a simple extension that provides Basic and Digest HTTP
 authentication for Flask routes.
 .
 This package installs the library for Python 3.

Package: python-flask-httpauth-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Breaks: python-flask-httpauth (<< 3.2.4-1)
Replaces: python-flask-httpauth (<< 3.2.4-1)
Description: Basic and Digest HTTP authentication for Flask (documentation)
 Flask-HTTPAuth is a simple extension that provides Basic and Digest HTTP
 authentication for Flask routes.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = flask-httpauth

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman docs/ build/man # Manpage generator

=== debian/watch ===
version=3

https://github.com/miguelgrinberg/flask-httpauth/tags \
         (?:.*/)?(?:v)?(\d[\d\.]*)\.tar\.gz

## python-flask-httpauth 4.5.0

=== debian/changelog ===
python-flask-httpauth (4.5.0-4) unstable; urgency=medium

  * Another attempt at fixing the manpage. (Hopefully) closes: #1003606

 -- Martina Ferrari <tina@debian.org>  Tue, 25 Jan 2022 04:36:56 +0000

python-flask-httpauth (4.5.0-3) unstable; urgency=medium

  * Move manpage to section 3. Closes: #1003606

 -- Martina Ferrari <tina@debian.org>  Thu, 13 Jan 2022 15:09:34 +0000

python-flask-httpauth (4.5.0-2) unstable; urgency=medium

  * Add .mailmap file.
  * d/control: Revert cme's incorrect "fix". Closes: #1003606

 -- Martina Ferrari <tina@debian.org>  Wed, 12 Jan 2022 20:27:40 +0000

python-flask-httpauth (4.5.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-flask-httpauth-doc: Add Multi-Arch: foreign.

  [ Martina Ferrari ]
  * Update my name and email address.
  * New upstream release.
  * Automatic packaging fixes by cme.
  * Update dependencies for new version.
  * Adjust documentation package.
  * Update debian/watch.
  * debian/control: Add Rules-Requires-Root: no.

 -- Martina Ferrari <tina@debian.org>  Mon, 10 Jan 2022 18:42:53 +0000

python-flask-httpauth (3.2.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Python 2 support (Closes: #937759).

 -- Ondřej Nový <onovy@debian.org>  Sun, 27 Oct 2019 20:37:51 +0100

=== debian/control ===
Source: python-flask-httpauth
Maintainer: Martina Ferrari <tina@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-asgiref,
               python3-docutils,
               python3-flask,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian/python-flask-httpauth
Vcs-Git: https://salsa.debian.org/debian/python-flask-httpauth.git
Homepage: https://github.com/miguelgrinberg/flask-httpauth/

Package: python3-flask-httpauth
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Suggests: python-flask-httpauth-doc,
Recommends: python3-asgiref,
Provides: ${python3:Provides},
Description: Basic and Digest HTTP authentication for Flask (Python 3)
 Flask-HTTPAuth is a simple extension that provides Basic and Digest HTTP
 authentication for Flask routes.
 .
 This package installs the library for Python 3.

Package: python-flask-httpauth-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Breaks: python-flask-httpauth (<< 3.2.4-1),
Replaces: python-flask-httpauth (<< 3.2.4-1),
Description: Basic and Digest HTTP authentication for Flask (documentation)
 Flask-HTTPAuth is a simple extension that provides Basic and Digest HTTP
 authentication for Flask routes.
 .
 This is the common documentation package.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME = flask-httpauth
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9

=== debian/watch ===
version=4

https://github.com/miguelgrinberg/flask-httpauth/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-flask-httpauth 4.8.0

=== debian/changelog ===
python-flask-httpauth (4.8.0-1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release 4.8.0 (Closes: #1061002).
  * build dependencies:
    + Add pybuild-plugin-pyproject
    + Remove dh-python as the pybuild plugin is enough
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Cleanup rules file, as pybuild already exports http*_proxy
  * Add lintian override for svg in html.
  * Add basic upstreamm metadata file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 03 May 2024 14:44:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-asgiref,
                python3-docutils,
@@ -13,7 +13,7 @@
                python3-setuptools,
                python3-sphinx,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/python-flask-httpauth
 Vcs-Git: https://salsa.debian.org/debian/python-flask-httpauth.git
 Homepage: https://github.com/miguelgrinberg/flask-httpauth/

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = flask-httpauth

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman docs/ build/man # Manpage generator
